%define name monkey-bubble
%define version 0.4.0
%define release %mkrel 4

Summary: GNOME clone of the game Bust'a'Move
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://home.gna.org/monkeybubble/downloads/%{name}-%{version}.tar.bz2
Patch0: monkey-bubble-0.4.0-help.patch
Patch1: monkey-bubble-0.4.0-format-strings.patch
Patch2: monkey-bubble-0.4.0-link.patch
Patch3: monkey-bubble-0.3.22-no-werror.patch
License: LGPLv2+
Group: Games/Arcade
Url: http://home.gna.org/monkeybubble/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires: gstreamer0.10-plugins-good
BuildRequires: libgnomeui2-devel
BuildRequires: libglade2.0-devel
BuildRequires: libgstreamer-plugins-base-devel
BuildRequires: librsvg-devel
BuildRequires: scrollkeeper
BuildRequires: gnome-doc-utils
BuildRequires: perl-XML-Parser
BuildRequires: imagemagick
BuildRequires: desktop-file-utils
#gw auto*
BuildRequires: automake1.4
BuildRequires: intltool
BuildRequires: gnome-common
BuildRequires: libtool
BuildRequires: pkgconfig
%description
This is an arcade puzzle game with the goal of making all bubbles in
the game area explode.

You explode bubbles by putting at least 3 of the same colour in
contact. Any bubble that is connected to the top or the sides of the
game area by bubbles you just exploded falls too.

Support for network game with 4 players is included.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p0
sed -i -e 's/-Werror//' src/*/Makefile.*

%build
autoreconf -fi
%configure2_5x --disable-scrollkeeper
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std install_sh=`pwd`/install-sh
%find_lang %name --with-gnome
for omf in %buildroot%_datadir/omf/%name/%name-??*.omf;do 
echo "%lang($(basename $omf|sed -e s/%name-// -e s/.omf//)) $(echo $omf|sed -e s!%buildroot!!)" >> %name.lang
done
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="GTK" \
  --add-category="Game;ArcadeGame"\
  --add-category="X-MandrivaLinux-MoreApplications-Games-Arcade" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*


mkdir -p %buildroot{%_liconsdir,%_miconsdir}
ln -s %_datadir/pixmaps/%name-icon.png %buildroot%_iconsdir/%name.png
convert -scale 16x16 pixmaps/%name-icon.png %buildroot%_miconsdir/%name.png

%triggerpostun -- %{name} < 0.3.2-3mdk
%post_install_gconf_schemas %name


%if %mdkversion < 200900
%post
%update_menus
%update_scrollkeeper
%post_install_gconf_schemas %name
%endif

%preun
%preun_uninstall_gconf_schemas %name 

%if %mdkversion < 200900
%postun
%clean_menus
%clean_scrollkeeper
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-,root,root)
%doc ChangeLog AUTHORS
#README NEWS
%_sysconfdir/gconf/schemas/%name.schemas
%_bindir/%name
%_bindir/monkey-srv
%_datadir/applications/%name.desktop
%_datadir/%name
%_datadir/pixmaps/%name-icon.png
%dir %_datadir/omf/%name
%_datadir/omf/%name/%name-C.omf
%_iconsdir/%name.png
%_miconsdir/%name.png


%changelog
* Mon May 23 2011 Funda Wang <fwang@mandriva.org> 0.4.0-4mdv2011.0
+ Revision: 677867
- fix build
- rebuild to add gconftool as req

* Thu May 21 2009 Götz Waschk <waschk@mandriva.org> 0.4.0-3mdv2011.0
+ Revision: 378300
- fix format strings
- fix linking
- fix license

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas
    - use %%post_install_gconf_schemas

* Fri Jan 11 2008 Thierry Vignaud <tv@mandriva.org> 0.4.0-1mdv2009.0
+ Revision: 148267
- drop old menu
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed May 16 2007 Götz Waschk <waschk@mandriva.org> 0.4.0-1mdv2008.0
+ Revision: 27248
- fix buildrequires
- new version
- fix build
- Import monkey-bubble



* Mon Aug 14 2006 Gtz Waschk <waschk@mandriva.org> 0.3.2-13.20060618.5mdv2007.0
- fix build
- fix buildrequires

* Fri Aug  4 2006 Gtz Waschk <waschk@mandriva.org> 0.3.2-13.20060618.4mdv2007.0
- rebuild for new dbus

* Thu Jun 22 2006 Gtz Waschk <waschk@mandriva.org> 0.3.2-13.20060618.3mdv2007.0
- fix buildrequires

* Wed Jun 21 2006 Gtz Waschk <waschk@mandriva.org> 0.3.2-13.20060618.2mdv2007.0
- fix buildrequires

* Sun Jun 18 2006 Gtz Waschk <waschk@mandriva.org> 0.3.2-13.20060618.1mdv2007.0
- xdg menu
- depend on gstreamer 0.10
- drop patches 0,1,2
- use new macros
- update to CVS version

* Tue Mar 07 2006 Götz Waschk <waschk@mandriva.org> 0.3.2-12mdk
- rebuild with new libgsf

* Fri Dec 09 2005 Götz Waschk <waschk@mandriva.org> 0.3.2-11mdk
- rebuild for new libgsf
- use mkrel

* Tue Oct 11 2005 Götz Waschk <waschk@mandriva.org> 0.3.2-10mdk
- rebuild for new libgsf

* Mon Jun  6 2005 Gtz Waschk <waschk@mandriva.org> 0.3.2-9mdk
- fix buildrequires

* Mon Jun  6 2005 Gtz Waschk <waschk@mandriva.org> 0.3.2-8mdk
- fix for gcc 4 by disabling -Werror

* Mon Nov 29 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.3.2-7mdk
- patch from Christian Fredrik Kalager Schaller: add appicon

* Mon Nov 29 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.3.2-6mdk
- add gstreamer patch from gst guru Ronald Bultje

* Tue Oct 26 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.3.2-5mdk
- fix omf file listing

* Tue Sep 21 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3.2-4mdk
- Fix schema uninstallation and upgrade (found by Laurent)

* Sun Aug 15 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.3.2-3mdk
- fix requires

* Wed Jul  7 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.3.2-2mdk
- fix buildrequires

* Mon Jul  5 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.3.2-1mdk
- fix build (patch from gnome-terminal package)
- initial package
